Subject: bug#8005: coreutils-8.10: make check failure

From: Jim Meyering <[email-masked]>
Date: Tue, 08 Feb 2011 21:18:11 +0100

Chris Clayton wrote:
> Firstly, please cc me on any reply because I'm not subscribed.
>
> I'm trying to build coreutils-8.10 but am getting a failure when I run make
> check.
>
> The failure occurs in check cp/sparse-fiemap and the log of that check is as
> follows:
>
> make  check-TESTS
> make[1]: Entering directory `/home/chris/rpm/BUILD/coreutils-8.10/tests'
> make[2]: Entering directory `/home/chris/rpm/BUILD/coreutils-8.10/tests'
> FAIL: cp/sparse-fiemap
> ==============================================
>    GNU coreutils 8.10: tests/test-suite.log
> ==============================================
>
> 1 of 1 test failed.
>
> .. contents:: :depth: 2
>
>
> FAIL: cp/sparse-fiemap (exit: 1)
> ================================

Thanks for the report.
I suspect that is merely a weakness in the test script and not a real problem,
and in fact Pádraig Brady posted a patch that probably fixes it here:

  http://thread.gmane.org/gmane.comp.gnu.core-utils.announce/65/focus=867

Just in case, can you tell us about your system
(i.e., uname -a) and file system type (df -T .) ?